Bug 505493 - kernel: agp: remove uid comparison as security check [mrg-1]
kernel: agp: remove uid comparison as security check [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
high Severity high
: 1.1.5
: ---
Assigned To: Red Hat Real Time Maintenance
David Sommerseth
:
Depends On:
Blocks: 505492
  Show dependency treegraph
 
Reported: 2009-06-12 01:27 EDT by Eugene Teo (Security Response)
Modified: 2016-05-22 19:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 15:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 John Kacur 2009-07-01 14:49:50 EDT
Applied this patch to MRG 1.1
Comment 3 David Sommerseth 2009-07-09 11:36:29 EDT
Verified by code review.

Found upstream commit 62f29babbc60ab572d3cecda981931d3a66123d6 as mrg-rt.git commit 550000625ad5ae23c8b4e439875ce5421ea88817 and implemented in kernel-rt-2.6.24.7-126 SRPM.
Comment 5 Eugene Teo (Security Response) 2009-07-14 04:27:25 EDT
AGP frontend interfaces with the ioctls from userspace, and /dev/agpgart is
only accessible by root.
Comment 6 errata-xmlrpc 2009-07-14 15:11:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1157.html

Note You need to log in before you can comment on or make changes to this bug.